package org.takiguchi.cerberus.cerberusapp.exception;

/**
 * Business exception.
 */
public class BusinessException extends RuntimeException {

    public BusinessException() {}

    /**
     * Constructs an exception with a message.
     * @param message The description of the error met.
     */
    public BusinessException(final String message) {
        super(message);
    }

    /**
     * Constructs an exception with a message and a code.
     * @param message The description of the error met.
     * @param cause The cause of the exception.
     */
    public BusinessException(final String message, final Throwable cause) {
        super(message, cause);
    }
}
